Page MenuHomePhabricator

Global rename of Darwinius → DarwIn: supervision needed
Closed, ResolvedPublic

Description

We have a request on the SRUC page where a user by the name "Darwinius" (50,000 < local edits [Commons/ptwiki] < 200,000) wants to be renamed to "DarwIn". The reason given seems legit. Can a sysadmin supervise this rename?

Event Timeline

RuyP created this task.Aug 12 2017, 3:06 AM
Marostegui added a subscriber: Marostegui.

When do you want to do this?

If you're going to be avalaible in the next hours we can try to do it if you think it's okay and have time.

If you're going to be avalaible in the next hours we can try to do it if you think it's okay and have time.

In which TZ are you? I would rather try to do it sometime in the UTC morning, as the number of edits is pretty high, I would prefer to choose sometime a bit more quieter traffic-wise if possible.

RuyP added a comment.Aug 16 2017, 1:59 PM

If it helps, my timezone is -3 and I am around almost all day long lately...

Marostegui added a comment.EditedAug 16 2017, 2:01 PM

If it helps, my timezone is -3 and I am around almost all day long lately...

Thanks - do you want to try 8AM UTC tomorrow?

I give way to @RuyP to handle this with your coordination.

RuyP added a comment.Aug 16 2017, 2:04 PM

If it helps, my timezone is -3 and I am around almost all day long lately...

Thanks - do you want to try 8AM UTC tomorrow?

Ok! Surely. Will you be arround?

If it helps, my timezone is -3 and I am around almost all day long lately...

Thanks - do you want to try 8AM UTC tomorrow?

Ok! Surely. Will you be arround?

Yep! we can coordinate via irc (#wikimedia-operations) or here, whatever you prefer. I will comment here when I am ready.
From your side I would need to send me the meta page with the progress, so I can follow it.

I will probably ease a bit the slow slaves for s2 (ptwiki) and s4 (commons) as the number of edits is quite massive for those two wikis.

The rest of wikis have quite low numbers.

See you at 8AM UTC tomorrow then!

RuyP added a comment.Aug 16 2017, 2:34 PM

If it helps, my timezone is -3 and I am around almost all day long lately...

Thanks - do you want to try 8AM UTC tomorrow?

Ok! Surely. Will you be arround?

Yep! we can coordinate via irc (#wikimedia-operations) or here, whatever you prefer. I will comment here when I am ready.
From your side I would need to send me the meta page with the progress, so I can follow it.
I will probably ease a bit the slow slaves for s2 (ptwiki) and s4 (commons) as the number of edits is quite massive for those two wikis.
The rest of wikis have quite low numbers.
See you at 8AM UTC tomorrow then!

Ok then. If it was a little bit later, it would be easier to me. However, If this is not possible, we'll do 8am (UTC) tomorrow ;)

If it helps, my timezone is -3 and I am around almost all day long lately...

Thanks - do you want to try 8AM UTC tomorrow?

Ok! Surely. Will you be arround?

Yep! we can coordinate via irc (#wikimedia-operations) or here, whatever you prefer. I will comment here when I am ready.
From your side I would need to send me the meta page with the progress, so I can follow it.
I will probably ease a bit the slow slaves for s2 (ptwiki) and s4 (commons) as the number of edits is quite massive for those two wikis.
The rest of wikis have quite low numbers.
See you at 8AM UTC tomorrow then!

Ok then. If it was a little bit later, it would be easier to me. However, If this is not possible, we'll do 8am (UTC) tomorrow ;)

Sure, would 9AM work?

RuyP added a comment.Aug 16 2017, 2:41 PM

If it helps, my timezone is -3 and I am around almost all day long lately...

Thanks - do you want to try 8AM UTC tomorrow?

Ok! Surely. Will you be arround?

Yep! we can coordinate via irc (#wikimedia-operations) or here, whatever you prefer. I will comment here when I am ready.
From your side I would need to send me the meta page with the progress, so I can follow it.
I will probably ease a bit the slow slaves for s2 (ptwiki) and s4 (commons) as the number of edits is quite massive for those two wikis.
The rest of wikis have quite low numbers.
See you at 8AM UTC tomorrow then!

Ok then. If it was a little bit later, it would be easier to me. However, If this is not possible, we'll do 8am (UTC) tomorrow ;)

Sure, would 9AM work?

Ok for me. See you at 9am (UTC) tomorrow then. :)

Please do not action this rename until T173419: Unblock stuck global renames at Meta-Wiki is fixed and its reasons known. Thank you.

RuyP added a comment.Aug 16 2017, 2:53 PM

Please do not action this rename until T173419: Unblock stuck global renames at Meta-Wiki is fixed and its reasons known. Thank you.

Thanks for letting me know, Marco. :)

Please do not action this rename until T173419: Unblock stuck global renames at Meta-Wiki is fixed and its reasons known. Thank you.

Thanks for letting me know, Marco. :)

Thanks - let's wait then and arrange a new day/time whenever that ticket is fixed.

alanajjar added a subscriber: alanajjar.EditedAug 19 2017, 1:46 PM

@Marostegui can we start now?

@alanajjar No. @RuyP and @Marostegui are in charge of this one and they'll seek a day between them to perform this rename themselves.

alanajjar renamed this task from Rename user Darwinius to DarwIn to Global rename of Darwinius → DarwIn: supervision needed.Aug 19 2017, 1:52 PM
RuyP added a comment.Aug 19 2017, 2:56 PM

@alanajjar No. @RuyP and @Marostegui are in charge of this one and they'll seek a day between them to perform this rename themselves.

Thanks, @MarcoAurelio and @alanajjar. @Marostegui: can we proceed with this task tomorrow? What about 22pm (UTC)? I'll be also available in the morning from 7:00 to 11:00 (UTC) though.

RuyP added a comment.Aug 19 2017, 3:27 PM

@alanajjar No. @RuyP and @Marostegui are in charge of this one and they'll seek a day between them to perform this rename themselves.

Thanks, @MarcoAurelio and @alanajjar. @Marostegui: can we proceed with this task tomorrow? What about 0h (UTC) (from Saturday to Sunday)? I'll be also available in the morning from 9:00 to 15:00 (UTC) though.

Hello @RuyP want to try it Tuesday at 9AM UTC? (or earlier if you like?)

RuyP added a comment.Aug 21 2017, 10:41 AM

Hello @RuyP want to try it Tuesday at 9AM UTC? (or earlier if you like?)

@Marosterogui. Ok. :) See you tomorrow at 9AM UTC.

@RuyP let me know when you start

RuyP added a comment.Aug 22 2017, 9:38 AM

@RuyP let me know when you start

Special:GlobalRenameProgress/DarwIn - in progress

@RuyP let me know when you start

Special:GlobalRenameProgress/DarwIn - in progress

Thanks!

Mentioned in SAL (#wikimedia-operations) [2017-08-22T09:42:57Z] <marostegui> Renaming user Darwinius → DarwIn - T173159

Commons is done, and some lag is being generated. I have eased a bit the transactional options for the slowest hosts.
Next big one is ptwiki on s2

And s2 also got a lag spike on the slower slaves when ptwiki was done. But it is now gone.
The pending wikis are pretty small,so we should be good.

All done - feel free to close this whenever you like.
Thanks for taking the time to do this in a different timezone from yours!

RuyP added a comment.Aug 22 2017, 10:20 AM

All done - feel free to close this whenever you like.
Thanks for taking the time to do this in a different timezone from yours!

All done. Thank you for assisting in this task @Marostegui! Cheers.

RuyP closed this task as Resolved.Aug 22 2017, 10:21 AM